## apt 2.6.1devuan1

=== CMakeLists.txt ===
# Copyright (C) 2009, 2016 Julian Andres Klode <jak@debian.org>.
# Licensed under the same terms as APT; i.e. GPL 2 or later.

# set minimum version
project(apt)
cmake_minimum_required(VERSION 3.4.0)
# Generic header locations
include_directories(${PROJECT_BINARY_DIR}/include)


enable_testing()

option(WITH_DOC "Build all documentation." ON)
include(CMakeDependentOption)
cmake_dependent_option(WITH_DOC_MANPAGES "Force building manpages." OFF "NOT WITH_DOC" OFF)
cmake_dependent_option(WITH_DOC_GUIDES "Force building guides." OFF "NOT WITH_DOC" OFF)
cmake_dependent_option(WITH_DOC_DOXYGEN "Force building doxygen documentation." OFF "NOT WITH_DOC" OFF)
cmake_dependent_option(WITH_DOC_EXAMPLES "Force building example configurations." OFF "NOT WITH_DOC" OFF)
option(WITH_TESTS "Build tests" ON)
option(USE_NLS "Localisation support." ON)

set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/CMake")

# Add coverage target
set(CMAKE_CXX_FLAGS_COVERAGE "-g -fprofile-arcs -ftest-coverage")
set(CMAKE_EXE_LINKER_FLAGS_COVERAGE "-lgcov")
set(CMAKE_SHARED_LINKER_FLAGS_COVERAGE "-lgcov")

# Work around bug in GNUInstallDirs
if (EXISTS "/etc/debian_version")
  set(CMAKE_INSTALL_LIBEXECDIR "lib")
endif()

# Include stuff
include(Misc)
include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckStructHasMember)
include(GNUInstallDirs)
include(TestBigEndian)
find_package(Threads REQUIRED)
find_package(LFS REQUIRED)
find_package(Iconv REQUIRED)

find_package(Perl REQUIRED)

find_program(TRIEHASH_EXECUTABLE NAMES triehash)

if (NOT TRIEHASH_EXECUTABLE)
  message(FATAL_ERROR "Could not find triehash executable")
endif()

if(USE_NLS)
  find_package(Intl REQUIRED)
  link_libraries(${Intl_LIBRARIES})
  include_directories(${Intl_INCLUDE_DIRS})
endif()

# Add large file support
add_compile_options(${LFS_COMPILE_OPTIONS})
add_definitions(${LFS_DEFINITIONS})
link_libraries(${LFS_LIBRARIES})

# Set compiler flags
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)

add_optional_compile_options(Wall)
add_optional_compile_options(Wextra)
add_optional_compile_options(Wcast-align)
add_optional_compile_options(Wlogical-op)
add_optional_compile_options(Wredundant-decls)
add_optional_compile_options(Wmissing-declarations)
add_optional_compile_options(Wunsafe-loop-optimizations)
add_optional_compile_options(Wctor-dtor-privacy)
add_optional_compile_options(Wdisabled-optimization)
add_optional_compile_options(Winit-self)
add_optional_compile_options(Wmissing-include-dirs)
add_optional_compile_options(Wnoexcept)
add_optional_compile_options(Wsign-promo)
add_optional_compile_options(Wundef)
add_optional_compile_options(Wdouble-promotion)
add_optional_compile_options(Wsuggest-override)
add_optional_compile_options(Werror=suggest-override)
add_optional_compile_options(Werror=return-type)
# apt-ftparchive dependencies
find_package(Berkeley REQUIRED)
if (BERKELEY_FOUND)
  set(HAVE_BDB 1)
endif()

find_package(GnuTLS REQUIRED)
if (GNUTLS_FOUND)
  set(HAVE_GNUTLS 1)
endif()

# (De)Compressor libraries
find_package(ZLIB REQUIRED)
if (ZLIB_FOUND)
  set(HAVE_ZLIB 1)
endif()


find_package(BZip2 REQUIRED)
if (BZIP2_FOUND)
  set(HAVE_BZ2 1)
endif()

find_package(LZMA REQUIRED)
if (LZMA_FOUND)
  set(HAVE_LZMA 1)
endif()


find_package(LZ4 REQUIRED)
if (LZ4_FOUND)
  set(HAVE_LZ4 1)
endif()

find_package(ZSTD)
if (ZSTD_FOUND)
  set(HAVE_ZSTD 1)
endif()


find_package(Udev)
if (UDEV_FOUND)
  set(HAVE_UDEV 1)
endif()

find_package(Systemd)
if (SYSTEMD_FOUND)
  set(HAVE_SYSTEMD 1)
endif()

find_package(SECCOMP)
if (SECCOMP_FOUND)
  set(HAVE_SECCOMP 1)
endif()

find_package(GCRYPT REQUIRED)
find_package(XXHASH REQUIRED)

# Mount()ing and stat()ing and friends
check_symbol_exists(statfs sys/vfs.h HAVE_VFS_H)
check_include_files(sys/params.h HAVE_PARAMS_H)
check_symbol_exists(statfs sys/mount.h HAVE_MOUNT_H)
if (NOT HAVE_VFS_H AND NOT HAVE_MOUNT_H)
  message(FATAL_ERROR "Can find neither statvfs() nor statfs()")
endif()

check_function_exists(statvfs HAVE_STATVFS)
if (NOT HAVE_STATVFS)
  configure_file(CMake/statvfs.h.in ${PROJECT_BINARY_DIR}/include/sys/statvfs.h COPYONLY)
endif()

CHECK_STRUCT_HAS_MEMBER("struct statfs" f_type sys/vfs.h HAVE_STRUCT_STATFS_F_TYPE)

# Other checks
check_function_exists(getresuid HAVE_GETRESUID)
check_function_exists(getresgid HAVE_GETRESGID)
check_function_exists(setresuid HAVE_SETRESUID)
check_function_exists(setresgid HAVE_SETRESGID)
check_function_exists(ptsname_r HAVE_PTSNAME_R)
check_function_exists(timegm HAVE_TIMEGM)
test_big_endian(WORDS_BIGENDIAN)

# FreeBSD
add_definitions(-D_WITH_GETLINE=1)

CHECK_INCLUDE_FILES(machine/endian.h HAVE_MACHINE_ENDIAN_H)
CHECK_INCLUDE_FILES(sys/endian.h HAVE_SYS_ENDIAN_H)
CHECK_INCLUDE_FILES(endian.h HAVE_ENDIAN_H)
if (NOT HAVE_ENDIAN_H)
  if (HAVE_MACHINE_ENDIAN_H OR HAVE_SYS_ENDIAN_H)
    configure_file(CMake/endian.h.in ${PROJECT_BINARY_DIR}/include/endian.h)
  else()
    message(FATAL_ERROR "Cannot find endian.h")
  endif()
endif()


include(CheckTypeSize)
set(CMAKE_EXTRA_INCLUDE_FILES "signal.h")
check_type_size("sig_t" SIG_T LANGUAGE "CXX")
check_type_size("sighandler_t" SIGHANDLER_T LANGUAGE "CXX")
set(CMAKE_EXTRA_INCLUDE_FILES)
if (NOT HAVE_SIGHANDLER_T)
  if (HAVE_SIG_T)
    add_definitions(-Dsighandler_t=sig_t)
  else()
    message(FATAL_ERROR "Platform defines neither sig_t nor sighandler_t")
  endif()
endif()

# Handle resolving
check_function_exists(res_ninit HAVE_LIBC_RESOLV)
if(HAVE_LIBC_RESOLV)
    set(RESOLV_LIBRARIES)
else()
    set(RESOLV_LIBRARIES -lresolv)
endif()

# Configure some variables like package, version and architecture.
set(PACKAGE ${PROJECT_NAME})
set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
set(PACKAGE_VERSION "2.6.1devuan1")
string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})

if (NOT DEFINED DPKG_DATADIR)
  execute_process(COMMAND ${PERL_EXECUTABLE} -MDpkg -e "print $Dpkg::DATADIR;"
                  OUTPUT_VARIABLE DPKG_DATADIR_CMD OUTPUT_STRIP_TRAILING_WHITESPACE)
  message(STATUS "Found dpkg data dir: ${DPKG_DATADIR_CMD}")
  set(DPKG_DATADIR "${DPKG_DATADIR_CMD}" CACHE PATH "dpkg data directory")
endif()
if (NOT DEFINED COMMON_ARCH)
  execute_process(COMMAND dpkg-architecture -qDEB_HOST_ARCH
                  OUTPUT_VARIABLE COMMON_ARCH OUTPUT_STRIP_TRAILING_WHITESPACE)
endif()
if (NOT DEFINED ROOT_GROUP)
  execute_process(COMMAND id -gn root
                  OUTPUT_VARIABLE ROOT_GROUP OUTPUT_STRIP_TRAILING_WHITESPACE)
  message(STATUS "Found root group: ${ROOT_GROUP}")
endif()
set(ROOT_GROUP "${ROOT_GROUP}" CACHE STRING "Group of root (e.g.: wheel or root)")

# Set various directories
set(STATE_DIR "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/lib/apt" CACHE PATH "Your /var/lib/apt")
set(CACHE_DIR "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/cache/apt" CACHE PATH "Your /var/cache/apt")
set(LOG_DIR "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/log/apt" CACHE PATH "Your /var/log/apt")
set(CONF_DIR "${CMAKE_INSTALL_FULL_SYSCONFDIR}/apt" CACHE PATH "Your /etc/apt")
set(LIBEXEC_DIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/apt" CACHE PATH "Your /usr/libexec/apt")
set(BIN_DIR "${CMAKE_INSTALL_FULL_BINDIR}")


# Configure our configuration headers (config.h and apti18n.h)
configure_file(CMake/config.h.in ${PROJECT_BINARY_DIR}/include/config.h)
configure_file(CMake/apti18n.h.in ${PROJECT_BINARY_DIR}/include/apti18n.h)

# Add our subdirectories
add_subdirectory(vendor)
if (NOT USE_SYSTEM_APTPKG)
add_subdirectory(apt-pkg)
add_subdirectory(apt-private)
endif()
add_subdirectory(cmdline)
add_subdirectory(completions)
add_subdirectory(doc)
add_subdirectory(dselect)
add_subdirectory(ftparchive)
add_subdirectory(methods)
add_subdirectory(test)

if (USE_NLS)
add_subdirectory(po)
endif()

if(TARGET update-po AND TARGET update-po4a)
# Link update-po4a into the update-po target
add_dependencies(update-po update-po4a)
endif()

# Create our directories.
install_empty_directories(
  ${CONF_DIR}/apt.conf.d
  ${CONF_DIR}/auth.conf.d
  ${CONF_DIR}/preferences.d
  ${CONF_DIR}/sources.list.d
  ${CONF_DIR}/trusted.gpg.d
  ${CACHE_DIR}/archives/partial
  ${STATE_DIR}/lists/partial
  ${STATE_DIR}/mirrors/partial
  ${STATE_DIR}/periodic
  ${LOG_DIR}
)

=== debian/changelog ===
apt (2.6.1devuan1) unstable; urgency=medium

  * Merge apt Debian Release 2.5.1

 -- Andreas Messer <andi@bastelmap.de>  Sun, 28 May 2023 17:16:09 +0200

apt (2.6.0devuan1) unstable; urgency=medium

  * Merge apt Debian Release 2.6.0

 -- Andreas Messer <andi@bastelmap.de>  Sun, 26 Mar 2023 17:46:15 +0200

apt (2.5.6devuan1) unstable; urgency=medium

  * Merge apt Debian Release 2.5.6

 -- Andreas Messer <andi@bastelmap.de>  Mon, 27 Feb 2023 20:35:02 +0100

apt (2.5.5devuan1) unstable; urgency=medium

  *  Merge apt Debian Release 2.5.5

 -- Andreas Messer <andi@bastelmap.de>  Wed, 25 Jan 2023 18:52:41 +0100

apt (2.5.4devuan1) unstable; urgency=medium

  * Merge apt Debian Release 2.5.4

 -- Andreas Messer <andi@bastelmap.de>  Tue, 08 Nov 2022 17:50:36 +0100

apt (2.5.3devuan1) unstable; urgency=medium

  * Merge apt Debian Release 2.5.3

 -- Andreas Messer <andi@bastelmap.de>  Tue, 04 Oct 2022 20:30:49 +0200

apt (2.5.2devuan1) unstable; urgency=medium

  * Merge apt Debian release 2.5.2

 -- Andreas Messer <andi@bastelmap.de>  Tue, 02 Aug 2022 20:38:47 +0200

apt (2.5.1devuan1) unstable; urgency=medium

  * Merge apt Debian release 2.5.1

 -- Andreas Messer <andi@bastelmap.de>  Tue, 26 Jul 2022 21:28:53 +0200

apt (2.5.0devuan1) unstable; urgency=medium

  * Merge apt Debian release 2.5.0

 -- Andreas Messer <andi@bastelmap.de>  Tue, 31 May 2022 19:23:22 +0200

apt (2.4.5devuan1) unstable; urgency=medium

  * Merge apt Debian release 2.4.5 

 -- Andreas Messer <andi@bastelmap.de>  Wed, 20 Apr 2022 20:28:52 +0200

apt (2.4.4devuan1) unstable; urgency=medium

  * Merge apt Debian release 2.4.4

 -- Andreas Messer <andi@bastelmap.de>  Tue, 05 Apr 2022 20:43:03 +0200

apt (2.4.3devuan1) unstable; urgency=medium

  * Merge apt Debian release 2.4.3

 -- Andreas Messer <andi@bastelmap.de>  Fri, 25 Mar 2022 10:33:34 +0100

apt (2.4.1devuan1) unstable; urgency=medium

  * Merge apt Debian release 2.4.1

 -- Andreas Messer <andi@bastelmap.de>  Tue, 15 Mar 2022 19:00:07 +0100

apt (2.4.0devuan1) unstable; urgency=medium

  * Merge apt Debian release 2.4.0

 -- Andreas Messer <andi@bastelmap.de>  Sat, 26 Feb 2022 18:57:52 +0100

apt (2.3.15devuan1) unstable; urgency=medium

  * Merge apt Debian release 2.3.15
  * Update to new Devuan version policy

 -- Andreas Messer <andi@bastelmap.de>  Mon, 07 Feb 2022 11:39:06 +0100

apt (2.3.14+devuan1) unstable; urgency=medium

  * Merge apt Debian release 2.3.14

 -- Andreas Messer <andi@bastelmap.de>  Sun, 09 Jan 2022 17:45:08 +0100

apt (2.3.13+devuan1) unstable; urgency=medium

  * Merge apt Debian release 2.3.13

 -- Andreas Messer <andi@bastelmap.de>  Thu, 09 Dec 2021 20:25:11 +0100

apt (2.3.12+devuan1) unstable; urgency=medium

  * Merge apt Debian release 2.3.12

 -- Andreas Messer <andi@bastelmap.de>  Wed, 24 Nov 2021 09:07:19 +0100

apt (2.3.11+devuan1) unstable; urgency=medium

  * Merge apt Debian release 2.3.11

 -- Andreas Messer <andi@bastelmap.de>  Thu, 28 Oct 2021 18:43:28 +0200

apt (2.3.9+devuan1) unstable; urgency=medium

  * Merge apt Debian release 2.3.9

 -- Andreas Messer <andi@bastelmap.de>  Mon, 13 Sep 2021 16:09:53 +0200

apt (2.3.8+devuan1) unstable; urgency=medium

  * Merge apt Debian release 2.3.8

 -- Andreas Messer <andi@bastelmap.de>  Fri, 03 Sep 2021 12:40:41 +0200

=== debian/control ===
Source: apt
Section: admin
Priority: important
Maintainer: Andreas Messer <andi@bastelmap.de>
Rules-Requires-Root: no
Standards-Version: 4.1.1
Build-Depends: cmake (>= 3.4),
               debhelper-compat (= 12),
               docbook-xml <!nodoc>,
               docbook-xsl <!nodoc>,
               dpkg-dev (>= 1.20.8),
               gettext (>= 0.12),
               googletest <!nocheck> | libgtest-dev <!nocheck>,
               libbz2-dev,
               libdb-dev,
               libgnutls28-dev (>= 3.4.6),
               libgcrypt20-dev,
               liblz4-dev (>= 0.0~r126),
               liblzma-dev,
               libseccomp-dev (>= 2.4.2) [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x hppa powerpc powerpcspe ppc64 x32],
               libudev-dev [linux-any],
               libxxhash-dev (>= 0.8),
               libzstd-dev (>= 1.0),
               ninja-build,
               pkg-config,
               po4a (>= 0.34-2) <!nodoc>,
               triehash,
               xsltproc <!nodoc>,
               zlib1g-dev
Build-Depends-Indep: doxygen <!nodoc !pkg.apt.nodoxygen>, graphviz <!nodoc !pkg.apt.nodoxygen>, w3m <!nodoc>
Vcs-Git: https://git.devuan.org/devuan/apt.git
Vcs-Browser: https://git.devuan.org/devuan/apt
Origin: Devuan

Package: apt
Architecture: any
Depends: adduser,
         gpgv | gpgv2 | gpgv1,
         libapt-pkg6.0 (>= ${binary:Version}),
         ${apt:keyring},
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: apt-transport-https (<< 1.5~alpha4~), apt-utils (<< 1.3~exp2~)
Breaks: apt-transport-https (<< 1.5~alpha4~),
        apt-utils (<< 1.3~exp2~),
        aptitude (<< 0.8.10)
Provides: apt-transport-https (= ${binary:Version})
Recommends: ca-certificates
Suggests: apt-doc,
          aptitude | synaptic | wajig,
          dpkg-dev (>= 1.17.2),
          gnupg | gnupg2 | gnupg1,
          powermgmt-base
Description: commandline package manager
 This package provides commandline tools for searching and
 managing as well as querying information about packages
 as a low-level access to all features of the libapt-pkg library.
 .
 These include:
  * apt-get for retrieval of packages and information about them
    from authenticated sources and for installation, upgrade and
    removal of packages together with their dependencies
  * apt-cache for querying available information about installed
    as well as installable packages
  * apt-cdrom to use removable media as a source for packages
  * apt-config as an interface to the configuration settings
  * apt-key as an interface to manage authentication keys

Package: libapt-pkg6.0
Architecture: any
Multi-Arch: same
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: appstream (<< 0.9.0-3~), apt (<< 1.6~), aptitude (<< 0.8.9), libapt-inst1.5 (<< 0.9.9~), dpkg (<< 1.20.8)
Recommends: apt (>= ${binary:Version})
Section: libs
Provides: libapt-pkg (= ${binary:Version})
Description: package management runtime library
 This library provides the common functionality for searching and
 managing packages as well as information about packages.
 Higher-level package managers can depend upon this library.
 .
 This includes:
  * retrieval of information about packages from multiple sources
  * retrieval of packages and all dependent packages
    needed to satisfy a request either through an internal
    solver or by interfacing with an external one
  * authenticating the sources and validating the retrieved data
  * installation and removal of packages in the system
  * providing different transports to retrieve data over cdrom, ftp,
    http(s), rsh as well as an interface to add more transports like
    tor+http(s) (apt-transport-tor).

Package: apt-doc
Architecture: all
Priority: optional
Depends: ${misc:Depends}
Section: doc
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Description: documentation for APT
 This package contains the user guide and offline guide for various
 APT tools which are provided in a html and a text-only version.

Package: libapt-pkg-dev
Architecture: any
Multi-Arch: same
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: libapt-pkg (= ${binary:Version}),
         ${misc:Depends}
Section: libdevel
Description: development files for APT's libapt-pkg and libapt-inst
 This package contains the header files and libraries for
 developing with APT's libapt-pkg Debian package manipulation
 library and the libapt-inst deb/tar/ar library.

Package: libapt-pkg-doc
Architecture: all
Priority: optional
Depends: ${misc:Depends}
Section: doc
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Description: documentation for APT development
 This package contains documentation for development of the APT
 Debian package manipulation program and its libraries.
 .
 This includes the source code documentation generated by doxygen
 in html format.

Package: apt-utils
Architecture: any
Depends: apt (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: package management related utility programs
 This package contains some less used commandline utilities related
 to package management with APT.
 .
  * apt-extracttemplates is used by debconf to prompt for configuration
    questions before installation.
  * apt-ftparchive is used to create Packages and other index files
    needed to publish an archive of Debian packages
  * apt-sortpkgs is a Packages/Sources file normalizer.

Package: apt-transport-https
Architecture: all
Multi-Arch: foreign
Depends: apt (>= 1.5~alpha4), ${misc:Depends}
Priority: optional
Section: oldlibs
Description: transitional package for https support
 This is a dummy transitional package - https support has been moved into
 the apt package in 1.5. It can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright (C) 2009, 2016 Julian Andres Klode <jak@debian.org>
#
# Free Software, licensed under the GPL-2 or (at your option) any later version.
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS := hardening=+all

# do not fail as we are just experimenting with symbol files for now
export DPKG_GENSYMBOLS_CHECK_LEVEL=0

export CTEST_OUTPUT_ON_FAILURE=1


ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	configure_test_flags = -DWITH_TESTS=OFF
else
	configure_test_flags =
endif

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_clean:
	cp COPYING debian/copyright
	dh_clean

override_dh_install-arch:
	dh_install -papt-utils -X/dump
	dh_install -papt -Xmethods/curl -Xmethods/curl+https -Xmethods/curl+http
	dh_install --remaining
	install -m 644 debian/apt.conf.autoremove debian/apt/etc/apt/apt.conf.d/01autoremove

override_dh_gencontrol:
	dh_gencontrol -- -Vapt:keyring="$(shell ./vendor/getinfo keyring-package)"

override_dh_installcron:
	dh_installcron --name=apt-compat

override_dh_installsystemd:
	# entirely disable systemd rules

override_dh_installsystemd_disabled_:
	# Do not restart "apt-daily.service" because this script runs
	# unattended-upgrades. So if apt itself is upgraded as part of
	# an unattended-upgrades run it would kill itself
	dh_installsystemd -papt apt-daily.timer apt-daily-upgrade.timer
	dh_installsystemd -papt --no-restart-on-upgrade --no-restart-after-upgrade --no-start apt-daily.service apt-daily-upgrade.service
	dh_installsystemd --remaining-packages

ifneq ($(filter pkg.apt.nodoxygen,$(DEB_BUILD_PROFILES)),)
override_dh_auto_configure-arch: configure_doc_flags=-DWITH_DOC=OFF -DWITH_DOC_MANPAGES=ON -DWITH_DOC_EXAMPLES=ON -DCMAKE_DISABLE_FIND_PACKAGE_Systemd=TRUE
override_dh_auto_configure-indep: configure_doc_flags=-DWITH_DOC=OFF -DWITH_DOC_GUIDES=ON -DWITH_DOC_EXAMPLES=ON -DCMAKE_DISABLE_FIND_PACKAGE_Systemd=TRUE
else
ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
override_dh_auto_configure-arch: configure_doc_flags=-DWITH_DOC=OFF -DCMAKE_DISABLE_FIND_PACKAGE_Systemd=TRUE
override_dh_auto_configure-indep: configure_doc_flags=-DWITH_DOC=OFF -DCMAKE_DISABLE_FIND_PACKAGE_Systemd=TRUE
else
override_dh_auto_configure-arch: configure_doc_flags=-DWITH_DOC=OFF -DWITH_DOC_MANPAGES=ON -DWITH_DOC_EXAMPLES=ON -DCMAKE_DISABLE_FIND_PACKAGE_Systemd=TRUE
override_dh_auto_configure-indep: configure_doc_flags=-DWITH_DOC=ON -DCMAKE_DISABLE_FIND_PACKAGE_Systemd=TRUE
endif
endif

override_dh_auto_configure-arch override_dh_auto_configure-indep:
	dh_auto_configure -- -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON $(configure_doc_flags) $(configure_test_flags)

## apt 2.6.1.0nosystemd1

=== debian/changelog ===
apt (2.6.1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Fri, 26 May 2023 13:45:47 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,10 @@
 Source: apt
 Section: admin
 Priority: important
-Maintainer: Andreas Messer <andi@bastelmap.de>
+Maintainer: APT Development Team <deity@lists.debian.org>
+Uploaders: Michael Vogt <mvo@debian.org>,
+           Julian Andres Klode <jak@debian.org>,
+           David Kalnischkies <donkult@debian.org>
 Rules-Requires-Root: no
 Standards-Version: 4.1.1
 Build-Depends: cmake (>= 3.4),
@@ -28,9 +31,8 @@
                xsltproc <!nodoc>,
                zlib1g-dev
 Build-Depends-Indep: doxygen <!nodoc !pkg.apt.nodoxygen>, graphviz <!nodoc !pkg.apt.nodoxygen>, w3m <!nodoc>
-Vcs-Git: https://git.devuan.org/devuan/apt.git
-Vcs-Browser: https://git.devuan.org/devuan/apt
-Origin: Devuan
+Vcs-Git: https://salsa.debian.org/apt-team/apt.git
+Vcs-Browser: https://salsa.debian.org/apt-team/apt
 
 Package: apt
 Architecture: any
@@ -71,7 +73,7 @@
 Multi-Arch: same
 Priority: optional
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}
 Breaks: appstream (<< 0.9.0-3~), apt (<< 1.6~), aptitude (<< 0.8.9), libapt-inst1.5 (<< 0.9.9~), dpkg (<< 1.20.8)
 Recommends: apt (>= ${binary:Version})
 Section: libs

=== debian/rules ===
#!/usr/bin/make -f
# Copyright (C) 2009, 2016 Julian Andres Klode <jak@debian.org>
#
# Free Software, licensed under the GPL-2 or (at your option) any later version.
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS := hardening=+all

# do not fail as we are just experimenting with symbol files for now
export DPKG_GENSYMBOLS_CHECK_LEVEL=0

export CTEST_OUTPUT_ON_FAILURE=1


ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	configure_test_flags = -DWITH_TESTS=OFF
else
	configure_test_flags =
endif

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_clean:
	cp COPYING debian/copyright
	dh_clean

override_dh_install-arch:
	dh_install -papt-utils -X/dump
	dh_install -papt -Xmethods/curl -Xmethods/curl+https -Xmethods/curl+http
	dh_install --remaining
	install -m 644 debian/apt.conf.autoremove debian/apt/etc/apt/apt.conf.d/01autoremove

override_dh_gencontrol:
	dh_gencontrol -- -Vapt:keyring="$(shell ./vendor/getinfo keyring-package)"

override_dh_installcron:
	dh_installcron --name=apt-compat


ifneq ($(filter pkg.apt.nodoxygen,$(DEB_BUILD_PROFILES)),)
override_dh_auto_configure-arch: configure_doc_flags=-DWITH_DOC=OFF -DWITH_DOC_MANPAGES=ON -DWITH_DOC_EXAMPLES=ON
override_dh_auto_configure-indep: configure_doc_flags=-DWITH_DOC=OFF -DWITH_DOC_GUIDES=ON -DWITH_DOC_EXAMPLES=ON
else
ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
override_dh_auto_configure-arch: configure_doc_flags=-DWITH_DOC=OFF
override_dh_auto_configure-indep: configure_doc_flags=-DWITH_DOC=OFF
else
override_dh_auto_configure-arch: configure_doc_flags=-DWITH_DOC=OFF -DWITH_DOC_MANPAGES=ON -DWITH_DOC_EXAMPLES=ON
override_dh_auto_configure-indep: configure_doc_flags=-DWITH_DOC=ON
endif
endif

override_dh_auto_configure-arch override_dh_auto_configure-indep:
	dh_auto_configure -- -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON $(configure_doc_flags) $(configure_test_flags)

## apt 2.7.2.0nosystemd1

=== CMakeLists.txt ===
--- 
+++ 
@@ -205,7 +205,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.6.1devuan1")
+set(PACKAGE_VERSION "2.7.2")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.7.2.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Thu, 13 Jul 2023 17:11:08 +0300

apt (2.7.2) unstable; urgency=medium

  [ A. Maitland Bottoms ]
  * Do not fail on systems running in FIPSmode.

  [ Julian Andres Klode ]
  * Upload to unstable
  * update: Add notice about missing Signed-By in deb822 sources
  * doc: Bump distro versions for apt-key removal
  * dist-upgrade: Revert phased updates using keeps only (LP: #2025462)
  * Do not mark updates for install that are still phasing
  * Fix snapshot crashes with multiple components inside Ubuntu docker
    image

 -- Julian Andres Klode <jak@debian.org>  Wed, 12 Jul 2023 17:23:26 +0200

apt (2.7.1) experimental; urgency=medium

  * Seed snapshot servers for well-known hosts, including PPAs. Note
    that it is preferable for repositories to declare their snapshot
    server in the Snapshots Release file field than to rely on this
    feature.

 -- Julian Andres Klode <jak@debian.org>  Wed, 24 May 2023 18:56:31 +0200

apt (2.7.0) experimental; urgency=medium

  [ Jacob Kauffmann ]
  * Keep "or group" when installing package to satisfy it

  [ Julian Andres Klode ]
  * Add apt install,upgrade,... -U,--update options. Please note that
    this still releases locks in between and is subject to races.
  * Initial support for snapshot servers, apt --snapshot option. Some
    implementation details may change down the road to 2.8

 -- Julian Andres Klode <jak@debian.org>  Tue, 02 May 2023 16:41:47 +0200

## apt 2.7.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -205,7 +205,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.7.2")
+set(PACKAGE_VERSION "2.7.3")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.7.3) unstable; urgency=medium

  [ Tianon Gravi ]
  * Add "apt-patterns" reference to "apt list" description in apt(8)

  [ Frans Spiesschaert ]
  * Dutch manpages translation update (Closes: #1033904)
  * Dutch program translation update (Closes: #1033909)

  [ Mert Dirik ]
  * Turkish program translation update

  [ Remus-Gabriel Chelu ]
  * Romanian program translation update (Closes: #1040644)

  [ David Kalnischkies ]
  * Add apt-patterns(7) to apt{,-cache,-get} SEE ALSO sections

  [ Julian Andres Klode ]
  * Compare SHA256 to check if versions are really the same (Closes: #931175)
    (LP: #2029268)

 -- Julian Andres Klode <jak@debian.org>  Wed, 02 Aug 2023 14:30:47 +0200

=== debian/control ===
--- 
+++ 
@@ -17,10 +17,11 @@
                libbz2-dev,
                libdb-dev,
                libgnutls28-dev (>= 3.4.6),
-               libgcrypt20-dev,
+               libgcrypt20-dev (>=1.10.0),
                liblz4-dev (>= 0.0~r126),
                liblzma-dev,
                libseccomp-dev (>= 2.4.2) [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x hppa powerpc powerpcspe ppc64 x32],
+               libsystemd-dev [linux-any],
                libudev-dev [linux-any],
                libxxhash-dev (>= 0.8),
                libzstd-dev (>= 1.0),
@@ -36,7 +37,7 @@
 
 Package: apt
 Architecture: any
-Depends: adduser,
+Depends: base-passwd (>= 3.6.1) | adduser,
          gpgv | gpgv2 | gpgv1,
          libapt-pkg6.0 (>= ${binary:Version}),
          ${apt:keyring},
@@ -73,7 +74,7 @@
 Multi-Arch: same
 Priority: optional
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: appstream (<< 0.9.0-3~), apt (<< 1.6~), aptitude (<< 0.8.9), libapt-inst1.5 (<< 0.9.9~), dpkg (<< 1.20.8)
 Recommends: apt (>= ${binary:Version})
 Section: libs

## apt 2.7.3ubuntu0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -205,7 +205,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.7.3")
+set(PACKAGE_VERSION "2.7.3ubuntu0.1")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.7.3ubuntu0.1) mantic; urgency=medium

  * Restore ?garbage by calling MarkAndSweep before parsing (LP: #1995790)
  * For phasing, check if current version is a security update, not just previous ones
    (LP: #2051181)
  * Point gitlab-ci and gbp at mantic branch
  * CI: Do not require UID 1000 for our test user

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 13 Feb 2024 18:22:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: apt
 Section: admin
 Priority: important
-Maintainer: APT Development Team <deity@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Michael Vogt <mvo@debian.org>,
            Julian Andres Klode <jak@debian.org>,
            David Kalnischkies <donkult@debian.org>

## apt 2.7.3.0nosystemd1

=== debian/changelog ===
apt (2.7.3.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Wed, 02 Aug 2023 18:28:02 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: apt
 Section: admin
 Priority: important
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
+Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Michael Vogt <mvo@debian.org>,
            Julian Andres Klode <jak@debian.org>,
            David Kalnischkies <donkult@debian.org>
@@ -22,7 +21,6 @@
                liblz4-dev (>= 0.0~r126),
                liblzma-dev,
                libseccomp-dev (>= 2.4.2) [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x hppa powerpc powerpcspe ppc64 x32],
-               libsystemd-dev [linux-any],
                libudev-dev [linux-any],
                libxxhash-dev (>= 0.8),
                libzstd-dev (>= 1.0),
@@ -75,7 +73,7 @@
 Multi-Arch: same
 Priority: optional
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}
 Breaks: appstream (<< 0.9.0-3~), apt (<< 1.6~), aptitude (<< 0.8.9), libapt-inst1.5 (<< 0.9.9~), dpkg (<< 1.20.8)
 Recommends: apt (>= ${binary:Version})
 Section: libs

## apt 2.7.5.0nosystemd1

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 enable_testing()
 
+option(REQUIRE_MERGED_USR "Require merged-usr." ON)
 option(WITH_DOC "Build all documentation." ON)
 include(CMakeDependentOption)
 cmake_dependent_option(WITH_DOC_MANPAGES "Force building manpages." OFF "NOT WITH_DOC" OFF)
@@ -205,7 +206,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.7.3ubuntu0.1")
+set(PACKAGE_VERSION "2.7.5")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.7.5.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Mon, 18 Sep 2023 23:03:01 +0300

apt (2.7.5) unstable; urgency=medium

  * doc/po/nl.po: Fix spurious translation of docbook tag

 -- Julian Andres Klode <jak@debian.org>  Sat, 16 Sep 2023 13:32:18 +0200

apt (2.7.4) unstable; urgency=medium

  [ Julian Andres Klode ]
  * CI: Do not require UID 1000 for our test user.
  * methods: store: Use APT_BUFFER_SIZE (64k) instead of 4k buffers
  * Only accept installs of usrmerge on unmerged-usr systems.
    As of bookworm, merged-usr is mandatory, and people got caught
    in the crosshairs of the dpkg fsys-unmessusr debacle and inadvertently
    reverted back to an unmerged configuration and continue to remain
    on an unsupported system unknowingly.
  * Drop alternatives to the gpgv dependency (Closes: #1051642)
  * Remove unnecessary explicit st_dev check for merged-usr

  [ Frans Spiesschaert ]
  * Dutch translation update (Closes: #1051720)
  * Dutch documentation translation update (Closes: #1051723)

  [ Helge Kreutzmann ]
  * updated German translation (Closes: #1049427)

 -- Julian Andres Klode <jak@debian.org>  Sat, 16 Sep 2023 13:01:48 +0200

=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
 Package: apt
 Architecture: any
 Depends: base-passwd (>= 3.6.1) | adduser,
-         gpgv | gpgv2 | gpgv1,
+         gpgv,
          libapt-pkg6.0 (>= ${binary:Version}),
          ${apt:keyring},
          ${misc:Depends},

## apt 2.7.6

=== debian/changelog ===
apt (2.7.6) unstable; urgency=medium

  [ Américo Monteiro ]
  * Portuguese manpages translation update (Closes: #1051731)

  [ Julian Andres Klode ]
  * Downgrade unmerged-usr from error to two warnings (Closes: #1052058)

 -- Julian Andres Klode <jak@debian.org>  Wed, 20 Sep 2023 10:25:26 +0200

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
                liblz4-dev (>= 0.0~r126),
                liblzma-dev,
                libseccomp-dev (>= 2.4.2) [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x hppa powerpc powerpcspe ppc64 x32],
+               libsystemd-dev [linux-any],
                libudev-dev [linux-any],
                libxxhash-dev (>= 0.8),
                libzstd-dev (>= 1.0),
@@ -73,7 +74,7 @@
 Multi-Arch: same
 Priority: optional
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: appstream (<< 0.9.0-3~), apt (<< 1.6~), aptitude (<< 0.8.9), libapt-inst1.5 (<< 0.9.9~), dpkg (<< 1.20.8)
 Recommends: apt (>= ${binary:Version})
 Section: libs

## apt 2.7.6.0nosystemd1

=== CMakeLists.txt ===
--- 
+++ 
@@ -206,7 +206,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.7.5")
+set(PACKAGE_VERSION "2.7.6")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.7.6.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind

 -- anticapitalista <antix@operamail.com>  Thu, 21 Sep 2023 16:56:57 +0300

## apt 2.7.7.0nosystemd1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 # Licensed under the same terms as APT; i.e. GPL 2 or later.
 
 # set minimum version
+cmake_minimum_required(VERSION 3.13)
 project(apt)
-cmake_minimum_required(VERSION 3.4.0)
 # Generic header locations
 include_directories(${PROJECT_BINARY_DIR}/include)
 
@@ -206,7 +206,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.7.6")
+set(PACKAGE_VERSION "2.7.7")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.7.7.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Thu, 23 Nov 2023 14:23:17 +0200

apt (2.7.7) unstable; urgency=medium

  [ sid ]
  * Fix incorrect time unit comment for PulseInterval

  [ Patrice Duroux ]
  * Update fr.po (add a missing dot)

  [ Julian Andres Klode ]
  * Stop calculating Description-md5 if missing
  * Revert "Do not fail on systems running in FIPSmode."
  * s/AlreadDownloaded/AlreadyDownloaded/ in doc/progress-reporting.md.
    Thanks to jwilk for suggestion
  * Bump Priority to required to match Debian archive.
    This unbreaks mmdebstrap scenarios if you mirror Debian or use
    a distro where apt did not get overridden to required.
    Reported-By: josch on IRC, following discovery by helmut
  * Restore ?garbage by calling MarkAndSweep before parsing (LP: #1995790)
  * Fix the test suite by adding new "m" flags to debug output

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: #1055178)

  [ David Kalnischkies ]
  * Raise cmake_minimum_required to 3.13 to avoid warnings
  * Use different variable name in GTest source path detection

 -- Julian Andres Klode <jak@debian.org>  Wed, 22 Nov 2023 16:43:47 +0100

## apt 2.7.8.0nosystemd1

=== CMakeLists.txt ===
--- 
+++ 
@@ -206,7 +206,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.7.7")
+set(PACKAGE_VERSION "2.7.8")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.7.8.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Mon, 08 Jan 2024 17:30:54 +0200

apt (2.7.8) unstable; urgency=medium

  [ Gábor Németh ]
  * Add 'dist-clean' command to remove packages and list files (Closes:
    #959093); this is experimental and does not yet have docs or tests.

  [ David Kalnischkies ]
  * Have Grp.FindPreferredPkg return very foreign pkgs as last resort
  * Improve and test distclean implementation
  * Do not store .diff_Index files in update

  [ Tianyu Chen ]
  * apt-pkg/cacheset.cc: set ShowErrors to true when no version matched
    (Closes: #1053887)

  [ Julian Andres Klode ]
  * Do not silently ignore directories for reserved file names
  * test: Disable valgrind on armhf, incompatible with stack clash protector
    (Closes: #1059352)

 -- Julian Andres Klode <jak@debian.org>  Mon, 08 Jan 2024 10:32:31 +0100

## apt 2.7.9

=== debian/changelog ===
apt (2.7.9) unstable; urgency=medium

  [ David Kalnischkies ]
  * Accept file system disorder in test-ignored-files

  [ Julian Andres Klode ]
  * CI: Pull from testing, unstable broken atm

 -- Julian Andres Klode <jak@debian.org>  Thu, 11 Jan 2024 10:04:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: apt
 Section: admin
-Priority: important
+Priority: required
 Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Michael Vogt <mvo@debian.org>,
            Julian Andres Klode <jak@debian.org>,
@@ -17,7 +17,7 @@
                libbz2-dev,
                libdb-dev,
                libgnutls28-dev (>= 3.4.6),
-               libgcrypt20-dev (>=1.10.0),
+               libgcrypt20-dev,
                liblz4-dev (>= 0.0~r126),
                liblzma-dev,
                libseccomp-dev (>= 2.4.2) [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x hppa powerpc powerpcspe ppc64 x32],

## apt 2.7.9.0nosystemd1

=== CMakeLists.txt ===
--- 
+++ 
@@ -206,7 +206,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.7.8")
+set(PACKAGE_VERSION "2.7.9")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.7.9.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Fri, 12 Jan 2024 14:20:04 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,6 @@
                liblz4-dev (>= 0.0~r126),
                liblzma-dev,
                libseccomp-dev (>= 2.4.2) [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x hppa powerpc powerpcspe ppc64 x32],
-               libsystemd-dev [linux-any],
                libudev-dev [linux-any],
                libxxhash-dev (>= 0.8),
                libzstd-dev (>= 1.0),
@@ -74,7 +73,7 @@
 Multi-Arch: same
 Priority: optional
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}
 Breaks: appstream (<< 0.9.0-3~), apt (<< 1.6~), aptitude (<< 0.8.9), libapt-inst1.5 (<< 0.9.9~), dpkg (<< 1.20.8)
 Recommends: apt (>= ${binary:Version})
 Section: libs

## apt 2.7.10

=== debian/changelog ===
apt (2.7.10) unstable; urgency=medium

  * pkgcachegen: Use placement new to construct header to make
    valgrind happy when we hash/write out padding bytes
  * Add Conflicts: apt-verify.
    The APT team is very concerned about the encroachement of its
    namespace and the impact on security of its file verification
    process. We have expressed those concerns in the ITP bug, but
    the package was nonetheless uploaded and accepted, so we have
    to take this extraordinary step to protect our users.

 -- Julian Andres Klode <jak@debian.org>  Fri, 19 Jan 2024 09:31:13 +0100

## apt 2.7.10.0nosystemd1

=== CMakeLists.txt ===
--- 
+++ 
@@ -206,7 +206,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.7.9")
+set(PACKAGE_VERSION "2.7.10")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.7.10.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Fri, 19 Jan 2024 18:51:08 +0200

=== debian/control ===
--- 
+++ 
@@ -46,6 +46,7 @@
 Breaks: apt-transport-https (<< 1.5~alpha4~),
         apt-utils (<< 1.3~exp2~),
         aptitude (<< 0.8.10)
+Conflicts: apt-verify
 Provides: apt-transport-https (= ${binary:Version})
 Recommends: ca-certificates
 Suggests: apt-doc,

## apt 2.7.11.0nosystemd1

=== CMakeLists.txt ===
--- 
+++ 
@@ -206,7 +206,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.7.10")
+set(PACKAGE_VERSION "2.7.11")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.7.11.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Sun, 18 Feb 2024 11:52:20 +0200

apt (2.7.11) unstable; urgency=medium

  [ David Kalnischkies ]
  * Remove erroneous -a flag from apt-get synopsis in manpage
  * Support -a for setting host architecture in apt-get source -b

  [ Julian Andres Klode ]
  * For phasing, check if current version is a security update, not just previous ones
    (LP: #2051181)
  * Add public phased update API
  * Add a new ?phasing pattern
  * Add the ?security pattern
  * Show a separate list of upgrades deferred due to phasing (LP: #1988819)

 -- Julian Andres Klode <jak@debian.org>  Tue, 13 Feb 2024 16:31:00 +0100

## apt 2.7.12.0nosystemd1

=== CMakeLists.txt ===
--- 
+++ 
@@ -206,7 +206,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.7.11")
+set(PACKAGE_VERSION "2.7.12")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.7.12.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Thu, 22 Feb 2024 13:59:56 +0200

apt (2.7.12) unstable; urgency=medium

  [ Kenyon Ralph ]
  * apt-key: remove carriage returns from armored keyrings before dearmoring

  [ наб ]
  * apt.8: summarise remaining verbs (Closes: #827785)

  [ Adam Saponara ]
  * Prevent infinite loop in `ReadConfigFile`

  [ Gábor Németh ]
  * Typos in integration tests
  * Document 'dist-clean'

  [ Wesley Schwengle ]
  * Configure the amount of kernels to keep
  * Fix bug where ./git-clang-format.sh errors incorrectly
  * Add documentation of autoremove to apt.conf (5)

  [ Julian Andres Klode ]
  * Bump Ubuntu apt-key deprecation notice to 24.04
  * Modernize standard library includes
  * Automatically enable snapshots where supported
  * test-snapshot: Fix a test case
  * Move systemd units to /usr/lib (Closes: #1054137)

 -- Julian Andres Klode <jak@debian.org>  Tue, 20 Feb 2024 19:38:02 +0100

## apt 2.7.13.0nosystemd1

=== CMakeLists.txt ===
--- 
+++ 
@@ -206,7 +206,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.7.12")
+set(PACKAGE_VERSION "2.7.13")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.7.13.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Thu, 29 Feb 2024 15:46:22 +0200

apt (2.7.13) unstable; urgency=medium

  * Acknowledge NMU; thank you, Steve!

  [ Wesley Schwengle ]
  * Show correct location of configure-index in man page

  [ Yuan Tao ]
  * Fix spelling mistake in zh_CN.po

  [ Julian Andres Klode ]
  * gpgv: Surface [GNUPG:] ERROR and [GNUPG:] WARNING status messages
  * gpgv: Add a reason to worthless signers
  * Implement gpgv --assert-pubkey-algo=>=rsa2048,ed25519,ed448 (LP: #2055193)
  * Rename 'weak digest algorithm' to 'weak algorithm'
  * Temporarily downgrade key assertions to "soon worthless"
  * Do not require versioned dpkg-dev on CI
  * prepare-release: Adjust for t64 suffix

 -- Julian Andres Klode <jak@debian.org>  Wed, 28 Feb 2024 19:48:27 +0100

apt (2.7.12+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061896

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 01:20:31 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
            David Kalnischkies <donkult@debian.org>
 Rules-Requires-Root: no
 Standards-Version: 4.1.1
-Build-Depends: cmake (>= 3.4),
+Build-Depends: dpkg-dev (>= 1.22.5) <!pkg.apt.ci>,
+               cmake (>= 3.4),
                debhelper-compat (= 12),
                docbook-xml <!nodoc>,
                docbook-xsl <!nodoc>,
@@ -38,7 +39,7 @@
 Architecture: any
 Depends: base-passwd (>= 3.6.1) | adduser,
          gpgv,
-         libapt-pkg6.0 (>= ${binary:Version}),
+         libapt-pkg6.0t64 (>= ${binary:Version}),
          ${apt:keyring},
          ${misc:Depends},
          ${shlibs:Depends}
@@ -69,16 +70,17 @@
   * apt-config as an interface to the configuration settings
   * apt-key as an interface to manage authentication keys
 
-Package: libapt-pkg6.0
+Package: libapt-pkg6.0t64
+Replaces: libapt-pkg6.0
 Architecture: any
 Multi-Arch: same
 Priority: optional
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
-Breaks: appstream (<< 0.9.0-3~), apt (<< 1.6~), aptitude (<< 0.8.9), libapt-inst1.5 (<< 0.9.9~), dpkg (<< 1.20.8)
+Breaks: libapt-pkg6.0 (<< ${source:Version}), appstream (<< 0.9.0-3~), apt (<< 1.6~), aptitude (<< 0.8.9), libapt-inst1.5 (<< 0.9.9~), dpkg (<< 1.20.8)
 Recommends: apt (>= ${binary:Version})
 Section: libs
-Provides: libapt-pkg (= ${binary:Version})
+Provides: ${t64:Provides}, libapt-pkg (= ${binary:Version})
 Description: package management runtime library
  This library provides the common functionality for searching and
  managing packages as well as information about packages.
